// Generated by CoffeeScript 2.6.1
var app, end_clock, exec, express, fs, http, io, ip, pages, port, promisify, schedule, screen_off, screen_on, sleep, toggle_screen, wakeup;

port = 8080;

fs = require('fs');

ip = require('ip');

schedule = require('node-schedule');

express = require("express");

promisify = require('util').promisify;

exec = promisify(require('child_process').exec);

app = express();

http = require('http').createServer(app);

io = require("socket.io")(http, {
  cors: {
    origin: "http://localhost:" + port
  }
});

// exec = require('child_process').exec
app.use(express.static(__dirname + "/"));

http.listen(port, function() {
  return console.log(`> http://${ip.address()}:${port}`);
});

pages = fs.readdirSync("pages");

io.on("connection", function(socket) {
  var select_arg;
  console.log("client connected");
  select_arg = process.argv[2];
  if (select_arg != null) {
    console.log(`selecting ${select_arg}`);
    return socket.emit("select", select_arg);
  } else {
    return socket.emit("init", pages);
  }
});

toggle_screen = function(enable) {
  return exec("xset dpms force " + (enable ? "on" : "off"));
};

sleep = function() {
  return toggle_screen(false);
};

wakeup = function() {
  toggle_screen(true);
  return io.emit("init", pages);
};

screen_on = schedule.scheduleJob('0 0 7 * * *', wakeup);

screen_off = schedule.scheduleJob('0 0 22 * * *', sleep);

end_clock = schedule.scheduleJob('0 42 21 * * *', function() {
  return io.emit("select", "clock");
});

console.log(pages);

console.log("");

//# sourceMappingURL=server.js.map
